=== debian/changelog ===
ibniz (1.18-1) unstable; urgency=low

  * Initial release (Closes: #724249)

 -- maxigas <maxigas@anargeek.net>  Mon, 23 Sep 2013 00:12:09 +0200
