=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_build:
	rm -f font.i
	dh_auto_build

override_dh_auto_test:
	make runtest
