=== debian/watch ===
version=3
http://pelulamu.net/ibniz/ ibniz-(\d\.\d+)\.tar\.gz
